﻿using Infragistics.Win;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace BooleanColumnCustomText
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraGrid1.InitializeLayout += ultraGrid1_InitializeLayout;
        }

        void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ValueList vl = new ValueList();
            vl.ValueListItems.Add(true, "Yes");
            vl.ValueListItems.Add(false, "No");
            e.Layout.Bands[0].Columns["Bool"].ValueList = vl;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = mydata();
        }

        private DataTable mydata()
        {

            DataTable dt = new DataTable();
            dt.Columns.Add("Bool", typeof(Boolean));
            for (int i = 0; i < 2; i++)
            {
                dt.Rows.Add(true);
                dt.Rows.Add(false);
            }

            return dt;
        }
    }
}
